org.deidentifier.arx.framework.check.groupify

## Class MetaHashGroupifyEntry

- java.lang.Object
- - org.deidentifier.arx.framework.check.groupify.MetaHashGroupifyEntry

    public class MetaHashGroupifyEntry
    extends java.lang.Object

Implements a grouping of equivalence classes

Author:
  Fabian Prasser

### Field Summary

Fields
`Distribution` `distribution` Frequency set for the value to analyze *.
`int` `hashcode` The hashcode of this class.
`MetaHashGroupifyEntry` `next` The next element in this bucket.
`MetaHashGroupifyEntry` `nextOrdered` The overall next element in original order.
`int` `row` The key of this class.

### Constructor Summary

Constructors
Constructor and Description
`MetaHashGroupifyEntry(int row, int hash)` Creates a new entry.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hashcode

    public final int hashcode

The hashcode of this class.

#### row

    public final int row

The key of this class.

#### next

    public MetaHashGroupifyEntry next

The next element in this bucket.

#### nextOrdered

    public MetaHashGroupifyEntry nextOrdered

The overall next element in original order.

#### distribution

    public Distribution distribution

Frequency set for the value to analyze *.

### Constructor Detail

#### MetaHashGroupifyEntry

    public MetaHashGroupifyEntry(int row,
                                 int hash)

Creates a new entry.

Parameters:
  `row` - the row
  `hash` - the hash